function fnValidateFooditemMaster() {
	var himsValidator = [
								new hims_ctl_val('ctl00_CP_TitleTextBox', "Name", "T", "", "", "", 20),
							new hims_ctl_val('ctl00_CP_CodeTextBox', "Code", "T", "", "", "", 20),
							 new hims_ctl_val("ctl00_CP_ItemPriceTextBox", "Item Price", "T", "", "", "", 20),
							 new hims_ctl_val("ctl00_CP_OrderIndexTextBox", "Order Index", "T", "", "", "", 20),
	];
	if (fnDoValidate(himsValidator))
		return true;
	else
		return false;
}
function checkitem(checkBox, textBox1) {
	var e = document.getElementById(textBox1.id);
	var f = document.getElementById(checkBox.id);
	if (f.checked == true) {
		e.disabled = true;
	}
	else {
		e.disabled = false;
	}
}
function uppercase() {
	key = window.event.keyCode;
	if ((key > 0x60) && (key < 0x7B))
		window.event.keyCode = key - 0x20;
}
function isNumberKey(evt) {
	var charCode = (evt.which) ? evt.which : event.keyCode;
	if (charCode > 31  && (charCode < 48 || charCode > 57))
		return false;
	return true;
}

function fnValidateBreakMaster() {
    var himsValidator = [
								new hims_ctl_val('ctl00_CP_CodeTextBox', "Code", "T", "", "", "", 20),
							new hims_ctl_val('ctl00_CP_TitleTextBox', "Title", "T", "", "", "", 20),
							 new hims_ctl_val('ctl00_CP_OrderIndexTextBox', "Order Index", "T", "", "", "", 20)
							 
    ];
    if (fnDoValidate(himsValidator))
        return true;
    else
        return false;
}

function fnValidateRegisterFor() {
    var himsValidator = [
								new hims_ctl_val('ctl00_CP_BreakTypeDropDownList', "Break Type", "T", "", "", "", 20)
							
    ];
    if (fnDoValidate(himsValidator))
        return true;
    else
        return false;
}

function fnValidateAttendanceForBreak() {
    var himsValidator = [
								new hims_ctl_val('ctl00_CP_BreakTypeDropDownList', "Break Type", "T", "", "", "", 20),
                                new hims_ctl_val('ctl00_CP_AttendanceDatePickerControl_DateTextbox', "Attendance Date", "T", "", "", "", 20)


    ];
    if (fnDoValidate(himsValidator))
        return true;
    else
        return false;
}

function fnValidateDailyMenu() {
    var himsValidator = [
								new hims_ctl_val('ctl00_CP_BreakTypeDropDownList', "Break Type", "T", "", "", "", 20),
                                	new hims_ctl_val('ctl00_CP_ForYearDropDownList', "Menu Year", "T", "", "", "", 20),
                                new hims_ctl_val('ctl00_CP_ForMonthDropDownList', "Menu Month", "T", "", "", "", 20)


    ];
    if (fnDoValidate(himsValidator))
        return true;
    else
        return false;
}